Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openxri
Class XRefAuthority

    java.lang.Object
      org.openxri.Parsable
          org.openxri.AuthorityPath
              org.openxri.XRIAuthority
                  org.openxri.XRefAuthority

All Implemented Interfaces:
  java.lang.Comparable

    public class XRefAuthority

extends XRIAuthority

This class provides a strong typing for a XRef Authority. Any object of this class that appears outside of the package is a valid XRef Authority.

Author:
  =chetan

Constructor Summary
`XRefAuthority(java.lang.String sPath)` Constructs a cross-reference authority from a string

Method Summary
`XRIAuthority` | `getParent()` Returns the parent XRIAuthority for this object.
`java.lang.String` | `getRootAuthority()` Returns the root XRI Authority as a String
`XRef` | `getXRoot()` Returns the Cross Reference Root
`java.lang.String` | `toIRINormalForm()` Serialzes the XRIAuthority into IRI normal from
`java.lang.String` | `toURINormalForm()` Serialzes the XRefAuthority into URI normal from

Methods inherited from class org.openxri.XRIAuthority
`getLastSubSegment, getNumSubSegments, getParentAsXRI, getSubSegmentAt, getXRISegment`

Methods inherited from class org.openxri.AuthorityPath
`buildAuthorityPath`

Methods inherited from class org.openxri.Parsable
`compareTo, equals, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XRefAuthority

    public XRefAuthority(java.lang.String sPath)

  Constructs a cross-reference authority from a string

Method Detail

### getXRoot

    public XRef getXRoot()

  Returns the Cross Reference Root

  Returns:
    XRef The Cross Reference Root Authority

### toIRINormalForm

    public java.lang.String toIRINormalForm()

  Serialzes the XRIAuthority into IRI normal from

  Specified by:
    `toIRINormalForm` in class `AuthorityPath`
  Returns:
    The IRI normal form of the XRIAuthority

### toURINormalForm

    public java.lang.String toURINormalForm()

  Serialzes the XRefAuthority into URI normal from

  Specified by:
    `toURINormalForm` in class `AuthorityPath`
  Returns:
    The URI normal form of the XRefAuthority

### getRootAuthority

    public java.lang.String getRootAuthority()

  Returns the root XRI Authority as a String

  Specified by:
    `getRootAuthority` in class `XRIAuthority`
  Returns:
    String The Root XRI Authority

### getParent

    public XRIAuthority getParent()

  Returns the parent XRIAuthority for this object. Equivalent to all but the last SubSegment.

  Specified by:
    `getParent` in class `XRIAuthority`
  Returns:
    XRIAuthority The parent XRIAuthority of this object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2009. All Rights Reserved.